Bug 248910 - RHEL5 kickstart manual says --class but it should be --dhcpclass.
Summary: RHEL5 kickstart manual says --class but it should be --dhcpclass.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Joel Andres Granados
QA Contact: Milan Zázrivec
URL:
Whiteboard:
Keywords:
Depends On: 248912
Blocks: 246139 296411 372911 629059
TreeView+ depends on / blocked
 
Reported: 2007-07-19 15:51 UTC by Flavio Leitner
Modified: 2010-08-31 19:42 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 629059 (view as bug list)
Environment:
Last Closed: 2008-05-21 15:30:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (10.39 KB, image/png)
2007-07-19 15:51 UTC, Flavio Leitner
no flags Details
fix up documentation (487 bytes, patch)
2007-07-20 20:15 UTC, Chris Lumens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0397 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2008-05-19 23:11:23 UTC

Description Flavio Leitner 2007-07-19 15:51:36 UTC
Description of problem:

RHEL-5 manual(1) describes the dhcp class option in kickstart as --dhcp
but anaconda expect --dhcpclass(2)

(1)
https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Installation_Guide-en-US/s1-kickstart2-options.html

(2) loader2/net.c setKickstartNetwork()


Version-Release number of selected component (if applicable):
anaconda-11.1.2.45


How reproducible:
Always

Steps to Reproduce:
1. Use --dhcp option in network line when doing kickstart installation
  
Actual results:
"Bad argument to kickstart network command --class=www007: unknow option"

Expected results:


Additional info:

According to Peter the documentation should be fixed to use --dhcpclass
parameter.

Comment 1 Flavio Leitner 2007-07-19 15:51:37 UTC
Created attachment 159591 [details]
Screenshot

Comment 2 Chris Lumens 2007-07-20 20:15:12 UTC
Created attachment 159688 [details]
fix up documentation

Comment 3 RHEL Product and Program Management 2007-10-16 03:53:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Milan Zázrivec 2008-02-06 14:55:05 UTC
Verified with RHEL5.2-{Client,Server}-20080206.nightly (anaconda-11.1.2.96)

Comment 8 errata-xmlrpc 2008-05-21 15:30:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html



Note You need to log in before you can comment on or make changes to this bug.